# Interface methods for submodule: PDEDeformableRegistrationFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FiniteDifferenceFunctionProxy as _FiniteDifferenceFunctionProxy


# Interface methods for class: PDEDeformableRegistrationFunction
class PDEDeformableRegistrationFunctionProxy(_FiniteDifferenceFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetMovingImage(self, ptr) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetFixedImage(self, ptr) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetDisplacementField(self, ptr) -> None:
		""""""
		...

	def GetDisplacementField(self):
		""""""
		...

	def SetEnergy(self, e: float) -> None:
		""""""
		...

	def GetEnergy(self) -> float:
		""""""
		...

	def SetGradientStep(self, e: float) -> None:
		""""""
		...

	def GetGradientStep(self) -> float:
		""""""
		...

	def SetNormalizeGradient(self, e: bool) -> None:
		""""""
		...

	def GetNormalizeGradient(self) -> bool:
		""""""
		...

